<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Categories</ion-title>
  </ion-toolbar>
  <ion-toolbar>
      <ion-searchbar mode="ios" debounce="500" (ionChange)="search($event)"></ion-searchbar>
    </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list [hidden]="items.length">
    <ion-item button="true" detail="true" *ngFor="let category of categories" (click)="showItems(category)">
      <ion-label>
        <h2 [class.inactive]="!category.isActive">{{category.name}}</h2>
      </ion-label>
      <!-- <ion-icon name="ios-close-circle-outline" color="danger" *ngIf="!category.isActive" slot="end"></ion-icon> -->
    </ion-item>
  </ion-list>

  <ion-list [hidden]="!items.length">
    <ion-item button="true" detail="true" *ngFor="let item of items" (click)="showItem(item)">
      <ion-label>
        <h2>{{item.name}}</h2>
        <p>{{item.price | currency:' '}}</p>
      </ion-label>
      <ion-icon name="ios-close-circle-outline" color="danger" *ngIf="!item.isActive" slot="end"></ion-icon>
    </ion-item>
  </ion-list>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
      <ion-fab-button (click)="add()">
        <ion-icon name="add"></ion-icon>
      </ion-fab-button>
    </ion-fab>
</ion-content>